Frontend API
Add an email to the deployment waitlist
cURL
curl --request POST \ --url https://api.wacht.dev/waitlist/join \ --header 'Content-Type: application/x-www-form-urlencoded' \ --data email=user@example.com \ --data first_name=John \ --data last_name=Doe
{ "status": 200, "message": "", "data": { "message": "Successfully joined waitlist", "entry": { "id": "<string>", "deployment_id": "<string>", "email": "jsmith@example.com", "first_name": "<string>", "last_name": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Email to add to waitlist
"user@example.com"
First name
"John"
Last name
"Doe"
Successfully added to waitlist
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?